"""fix pims finish template

Revision ID: bccbfba286d7
Revises: dc83011fcd2f
Create Date: 2022-10-10 09:35:56.489020

"""
from alembic import op


# revision identifiers, used by Alembic.
revision = "bccbfba286d7"
down_revision = "dc83011fcd2f"
branch_labels = None
depends_on = None


fixed_condor = """executable = write_finished_file.sh

output = write_finished.out
error = write_finished.err
log = condor.log

SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
SPOOL_DIR = {{spool_dir}}
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo
transfer_output_files = .job.ad
+nrao_output_files = "finished"
output_destination = nraorsync://$(SPOOL_DIR)
+WantIOProxy = True

getenv = True
environment = "CAPO_PATH=/home/casa/capo"

requirements = (VLASS == True) && (HasLustre == True)
+partition = "VLASS"

queue

"""

old_condor = """write_finished_file.sh

output = write_finished.out
error = write_finished.err
log = condor.log

SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
SPOOL_DIR = {{spool_dir}}
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo
transfer_output_files = .job.ad
+nrao_output_files = "finished"
output_destination = nraorsync://$(SPOOL_DIR)
+WantIOProxy = True

getenv = True
environment = "CAPO_PATH=/home/casa/capo"

requirements = (VLASS == True) && (HasLustre == True)
+partition = "VLASS"

queue

"""


def upgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{fixed_condor}' WHERE filename='write_finished_file.condor' AND workflow_name='pims_split'
        """
    )


def downgrade():
    op.execute(
        f"""
        UPDATE workflow_templates
        SET content=E'{old_condor}' WHERE filename='write_finished_file.condor' AND workflow_name='pims_split'
        """
    )
