# Copyright (C) 2021 Associated Universities, Inc. Washington DC, USA.
#
# This file is part of NRAO Workspaces.
#
# Workspaces is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Workspaces is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Workspaces.  If not, see <https://www.gnu.org/licenses/>.
"""notifications_init

Revision ID: ec2aab4ad517
Revises: 21dc67216082
Create Date: 2021-01-20 15:34:19.302047

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = "ec2aab4ad517"
down_revision = "21dc67216082"
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        "notification_templates",
        sa.Column("template_id", sa.Integer, primary_key=True),
        sa.Column("name", sa.String),
        sa.Column("description", sa.String),
        sa.Column("template", sa.String),
    )

    op.execute(
        "INSERT INTO notification_templates (name, description, template) "
        "VALUES ('email', 'A generic email template, requiring subject and message.'"
        ", 'Subject: {{subject}}\n\n{{message}}')"
    )


def downgrade():
    op.drop_table("notification_templates")
